# Enum Class PlotWindowType

java.lang.Object
java.lang.Enum<PlotWindowType>
uk.ac.starlink.topcat.plot2.PlotWindowType

All Implemented Interfaces:
  `Serializable, Comparable<PlotWindowType>, Constable`

public enum PlotWindowType extends Enum<PlotWindowType>
Enum defining the different plot window types. A method to create an instance of each window is provided.

Since:
  10 May 2018
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CUBE`
Cube.
`HISTOGRAM`
Histogram.
`MATRIX`
Matrix.
`PLANE`
Plane.
`SKY`
Sky.
`SPHERE`
Sphere.
`TIME`
Time.

## Method Summary

Modifier and Type
Method
Description
`abstract StackPlotWindow<?,?>`
`createWindow(Component parent, ListModel<TopcatModel> tablesModel)`
Creates an instance of this plot type's window.
`String`
`getDescription()`
Returns short description for plot type.
`Icon`
`getIcon()`
Returns plot type icon.
`String`
`getName()`
Returns plot type name.
`String`
`toString()`
`static PlotWindowType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlotWindowType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HISTOGRAM

public static final PlotWindowType HISTOGRAM
Histogram.

### PLANE

public static final PlotWindowType PLANE
Plane.

### SKY

public static final PlotWindowType SKY
Sky.

### CUBE

public static final PlotWindowType CUBE
Cube.

### SPHERE

public static final PlotWindowType SPHERE
Sphere.

### MATRIX

public static final PlotWindowType MATRIX
Matrix.

### TIME

public static final PlotWindowType TIME
Time.

## Method Details

### values

public static PlotWindowType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlotWindowType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

public String getName()
Returns plot type name.

Returns:
  one-word name

### getIcon

public Icon getIcon()
Returns plot type icon.

Returns:
  icon

### getDescription

public String getDescription()
Returns short description for plot type.

Returns:
  description phrase

### createWindow

public abstract StackPlotWindow<?,?> createWindow(Component parent, ListModel<TopcatModel> tablesModel)
Creates an instance of this plot type's window.

Parameters:
  `parent` - parent component, used for placement
  `tablesModel` - list of available tables

### toString

public String toString()

Overrides:
  `toString` in class `Enum<PlotWindowType>`